Loading...
Searching...
No Matches
sres_common Struct Reference

Common part of all DNS records. More...

`#include <sres_record.h>`

## Data Fields

int | r_refcount
| Number of references to this record.
char * | r_name
| Domain name.
uint16_t | r_status
| Status of query (nonzero upon an error).
uint16_t | r_size
| Size of this record.
uint16_t | r_type
| Record type (A, CNAME, A6, etc).
uint16_t | r_class
| Record class (IN).
uint32_t | r_ttl
| Time-to-live.
uint16_t | r_rdlen
| Length of record data.
uint16_t | r_parsed
| Nonzero if parsed.

## Detailed Description

Common part of all DNS records.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.